Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156109 - usability insights from customers
Summary: usability insights from customers
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: redhat-config-cluster
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-27 16:41 UTC by Jonathan Earl Brassow
Modified: 2009-04-16 20:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-09 21:47:32 UTC


Attachments (Terms of Use)

Description Jonathan Earl Brassow 2005-04-27 16:41:51 UTC
Querying for a particular type of lock mgr is confusing to users.  Don't do it.
 Instead, if there are more than 16-nodes configured, use gulm otherwise, stick
with the DLM.

Customer had no clue what quorum votes meant when adding a new node.  Don't ask
for quorum vote - always assume that it is one.  If they are that smart that
they think they need to change it, they are smart enough to hand-edit the config
file.

Comment 1 Jonathan Earl Brassow 2005-04-27 20:04:20 UTC
Don't ask to create a new fence level.  Just ask for how the node is connected.

In other words, clicking on "Manage fence for this node" should bring up a
window in which you can "add a new fence to this level" instead of "add a new
fence level".  You are not letting them choose the method name anyway...

You may ask what to do about dual ported nodes...  A type will have to be
associated with the fence devices so that you can group proplerly.  (I.E all
power ports would go in one method, all fabric connections would go in the next,
etc)

This shields the user from having to understand the fencing heirarchy

Comment 2 Corey Marthaler 2005-04-28 22:34:05 UTC
I agree with Jon, there is no intuitve way to figure out how to configure fencing. 

If I click "Add a new fence level", that is all it does and if I continue to do
that, it will just create a bunch of (meaningless to the user) level "icons"
until I somehow figure out that I need to click (highlight) the created
"Fence-Level-*" icon then go back and click the EXACT same "Add a new fence
level" which now does a completely different task to in bring up the "fence
properties" window. 

Comment 3 Jim Parsons 2005-05-09 21:47:32 UTC
Very good insight. Deferring for future release


Note You need to log in before you can comment on or make changes to this bug.